<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';

if(isset($sims_user))
{
header("Location:index.php");
exit;
}
if(isset($_GET['step']) && $_GET['step']!=1)
$_SESSION['sims_reg']=NULL;
if(isset($_GET['step']) && $_GET['step']==1)
$_SESSION['sims_reg']=1;

if(!$_SESSION['sims_reg'])
{	


	if(isset($_POST['submit']) && mb_strlen($_POST['name'],'UTF-8')>1 && mb_strlen($_POST['name'],'UTF-8')<100 && mb_strlen($_POST['fam'],'UTF-8')>1 && mb_strlen($_POST['fam'],'UTF-8')<100)
	{
	
	$_SESSION['sims_name'] = $_POST['name'];
	$_SESSION['sims_fam'] = $_POST['fam'];
	$_SESSION['sims_pol'] = ($_POST['pol']==0 ? "Муж" : "Жен");
	$_SESSION['sims_reg'] = 1;
	
	header("Location:new.php?".mt_rand());
	exit;
	}
	echo "<div class='".$diz['main']."'>Привет,<b>".$user_login."</b><br/>
	Выбери имя сима
	<br/>
	<form method='post' action='new.php?".mt_rand()."&amp;'>
	<input name='name' /><br/>
	Выбери фамилию сима <br/>
	<input name='fam' /><br/>
	<select name='pol'>
	<option value='0'>Мужской</option>
	<option value='1'>Женский</option>
	</select>
	<br/>
	<input name='submit' value='Выбрать' type='submit'/></form></div>";
}
elseif($_SESSION['sims_reg']==1)
{
	if(isset($_GET['change']))
	{
	
		if($_SESSION['sims_pol']=='Муж')
		$array = array(1,2,3,4,5,6,7,8,9,10);
		else
		$array = array(11,12,13,14,15,16,17,18,19,20);
		$change = abs(intval($_GET['change']));
		if(!in_array($change,$array))
		{
		header("Location:new.php?");
		exit;
		}
		else
		{
		$_SESSION['sims_reg'] = 2;
		$_SESSION['sims_face'] = $change;
	
		header("Location:new.php?".mt_rand());
		exit;
		
		}
	}
	
	echo "<img src='i/o.png' /> Имя : <b>".sims_in($_SESSION['sims_name'])."</b> <b>".sims_in($_SESSION['sims_fam'])."</b> (".sims_in($_SESSION['sims_pol']).") [<a href='new.php?step'>изм</a>]<br/>
	 <img src='i/n.png' /> Bыберите лицо сима<br/>
	 ";
	 if($_SESSION['sims_pol']!='Муж')$add = 11;else $add = 1;
	for($i=0;$i<10;$i++)
	echo "<a href='new.php?change=".($i+$add)."'><img height='80' src='i/face_".($i+$add).".png' /></a>".($i%2 ? "<br/>" : "&nbsp;");


}
elseif($_SESSION['sims_reg']==2)
{
	if(isset($_POST['submit']))
	{
	$array1 = array('Богатство','Знания','Семья','Любовь','Популярность');
	$array2 = array('Водолей','Козерог','Стрелец','Скорпион','Весы','Дева','Лев','Рак','Близнецы','Телец','Овен','Рыбы');
	
	$c1 = sims_in($_POST['cel']);
	$c2 = sims_in($_POST['zod']);
	
	if(!in_array($c1,$array1) || !in_array($c2,$array2))
		{
		header("Location:new.php?");
		exit;
		}
		else
		{
			if(mysql_result(mysql_query("SELECT COUNT(*) FROM `sims_user` WHERE `name`='".sims_in($_SESSION['sims_name'])."' AND `fam`='".sims_in($_SESSION['sims_fam'])."'"),0)!=0)
			{
			echo "Персонаж с таким именем и фамилией уже существует<br/>";
			}
			else
			{
			mysql_query("INSERT INTO `sims_user`(`last`,`pol`,`id_u`,`name`,`fam`,`face`,`body`,`nogi`,`cel`,`zod`) VALUES('".time()."','".sims_in($_SESSION['sims_pol'])."','".$user_id."','".sims_in($_SESSION['sims_name'])."','".sims_in($_SESSION['sims_fam'])."','".sims_in($_SESSION['sims_face'])."','1','1','".sims_in($_POST['cel'])."','".sims_in($_POST['zod'])."')");
			$o = $user_id;
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`exp`,`place`) VALUES('120','1','".$o."','35','Телевизор Рубин','culinar:0:comfort:0:nujda:0:bodrost:0:dosug:6:obshenie:0:gigiena:0:yut:0','culture:culinaria','guest')");
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`place`) VALUES('500','1','".$o."','13','Оле Лукойе','culinar:0:comfort:1:nujda:0:bodrost:2:dosug:0:obshenie:0:gigiena:0:yut:0','room')");
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`place`) VALUES('60','1','".$o."','18','Гардероб Нео-Антик','culinar:0:comfort:2:nujda:0:bodrost:0:dosug:4:obshenie:0:gigiena:0:yut:0','room')");
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`place`) VALUES('60','1','".$o."','6','Кресло Старое доброе время','culinar:0:comfort:4:nujda:0:bodrost:0:dosug:0:obshenie:0:gigiena:0:yut:-1','guest')");
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`place`) VALUES('60','1','".$o."','28','Душ','culinar:0:comfort:0:nujda:0:bodrost:0:dosug:0:obshenie:0:gigiena:8:yut:0','toilet')");
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`place`) VALUES('60','1','".$o."','31','Унитаз Кескесе','culinar:0:comfort:0:nujda:10:bodrost:0:dosug:0:obshenie:0:gigiena:-2:yut:0','toilet')");
			mysql_query("INSERT INTO `sims_i`(`time`,`sell`,`id_u`,`id_i`,`name`,`plus`,`place`) VALUES('60','1','".$o."','1','Гриль Pеактор','culinar:2:comfort:0:nujda:0:bodrost:0:dosug:0:obshenie:0:gigiena:0:yut:0','kitchen')");
			$_SESSION['sims_time'] = time();
		header("Location:index.php?");
		exit;
		}
		
		}
	}
	
	echo "<img src='i/o.png' /> Имя : <b>".sims_in($_SESSION['sims_name'])."</b> <b>".sims_in($_SESSION['sims_fam'])."</b> (".sims_in($_SESSION['sims_pol']).") [<a href='new.php?step'>изм</a>]<br/>
	 <img src='i/o.png' /> Лицо <img height='30' src='i/face_".$_SESSION['sims_face'].".png' />[<a href='new.php?step=1'>изм</a>]<br/>
	  <img src='i/n.png' /> Жизненая цель<br/>

	<form method='post' action='new.php?".mt_rand()."&amp;'>
	<select name='cel'>
	<option value='Богатство'>Богатство</option>
	<option value='Знания'>Знания</option>
	<option value='Семья'>Семья</option>
	<option value='Любовь'>Любовь</option>
	<option value='Популярность'>Популярность</option>
	</select>
	<br/>
		  <img src='i/n.png' /> Знак зодиака<br/>
		<select name='zod'>
	<option value='Водолей'>Водолей</option>
	<option value='Козерог'>Козерог</option>
	<option value='Стрелец'>Стрелец</option>
	<option value='Скорпион'>Скорпион</option>
	<option value='Весы'>Весы</option>
	<option value='Дева'>Дева</option>
	<option value='Лев'>Лев</option>
	<option value='Рак'>Рак</option>
	<option value='Близнецы'>Близнецы</option>
	<option value='Телец'>Телец</option>
	<option value='Овен'>Овен</option>
	<option value='Рыбы'>Рыбы</option>
	</select><br/>
	<input name='submit' value='Выбрать' type='submit'/></form>";
	

}
include_once '../sys/inc/tfoot.php';
?>
